Compare commits

...

10 Commits

Author SHA1 Message Date
openeuler-ci-bot
a84eb033b2
!49 update to 10.19
From: @tmacbb 
Reviewed-by: @robertxw 
Signed-off-by: @robertxw
2024-02-05 03:43:20 +00:00
tmacbb
4432fe7833 update to 10.19 2024-02-04 17:25:36 +08:00
openeuler-ci-bot
b00ce6e6fa
!42 remove unnecessary patches
From: @robertxw 
Reviewed-by: @gebidelidaye 
Signed-off-by: @gebidelidaye
2023-06-15 11:17:27 +00:00
gaoxingwang
6415904b64 remove unnecessary patches because the first introduced problem doesn't make much sense to fix 2023-06-15 17:17:15 +08:00
openeuler-ci-bot
1345e7ff17
!40 支持指定 CC 编译
From: @jammyjellyfish 
Reviewed-by: @zengwefeng 
Signed-off-by: @zengwefeng
2023-04-26 08:14:42 +00:00
jammyjellyfish
0d4104d692 Support specify CC 2023-04-24 14:02:14 +08:00
openeuler-ci-bot
a11b72d111
!37 delete Requires:dbus-tools
From: @eaglegai 
Reviewed-by: @seuzw 
Signed-off-by: @seuzw
2023-02-20 07:03:42 +00:00
eaglegai
c0cb18d340 delete Requires:dbus-tools 2023-02-20 02:06:41 +00:00
openeuler-ci-bot
3b6f40c8e1
!30 Incorrect processing of empty files for resolv.conf
From: @kylinos-zhangqiang 
Reviewed-by: @gebidelidaye 
Signed-off-by: @gebidelidaye
2022-11-09 07:01:58 +00:00
zhangqiang
937682a540 After repairing and installing the system, use the network service resolv.conf DNS missing 2022-11-08 11:08:24 +08:00
6 changed files with 52 additions and 70 deletions

View File

@ -1,25 +0,0 @@
From 76a5f892c132eed05a6cbffbdba3306e50b6a672 Mon Sep 17 00:00:00 2001
From: Scott Little <scott.little@windriver.com>
Date: Thu, 5 Oct 2017 12:40:38 -0400
Subject: [PATCH 7/9] WRS: Patch10-run-ifdown-on-all-interfaces.patch
---
etc/rc.d/init.d/network | 3 +++
1 file changed, 3 insertions(+)
diff --git a/etc/rc.d/init.d/network b/etc/rc.d/init.d/network
index a8deed3..852ef94 100755
--- a/etc/rc.d/init.d/network
+++ b/etc/rc.d/init.d/network
@@ -235,6 +235,9 @@ stop)
if ! check_device_down $DEVICE; then
action $"Shutting down interface $i: " ./ifdown $i boot
[ $? -ne 0 ] && rc=1
+ else
+ action $"Shutting down non-UP interface $i: " ./ifdown $i boot
+ logger $"Running ifdown on non-UP interface $i"
fi
)
done
--
1.9.1

View File

@ -1,37 +0,0 @@
From a2cb13d3de5219f9ff0341f5c58fe50830a9de81 Mon Sep 17 00:00:00 2001
From: zhouxudong <zhouxudong8@huawei.com>
Date: Sun, 15 Sep 2019 18:39:20 +0800
Subject: [PATCH] fix
---
etc/rc.d/init.d/network | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/etc/rc.d/init.d/network b/etc/rc.d/init.d/network
index 58fbc4c..4de4a9c 100755
--- a/etc/rc.d/init.d/network
+++ b/etc/rc.d/init.d/network
@@ -227,6 +227,7 @@ stop)
remaining="$remaining $i"
done
+ bondlist=`cat /proc/net/bonding/* 2> /dev/null | grep "Slave Inter" | awk '{print $3}'`
for i in $vpninterfaces $xdslinterfaces $bridgeinterfaces $vlaninterfaces $remaining; do
unset DEVICE TYPE
(. ./ifcfg-$i
@@ -236,8 +237,10 @@ stop)
action $"Shutting down interface $i: " ./ifdown $i boot
[ $? -ne 0 ] && rc=1
else
- action $"Shutting down non-UP interface $i: " ./ifdown $i boot
- logger $"Running ifdown on non-UP interface $i"
+ if ! echo "$bondlist" | grep -qw $DEVICE ; then
+ action $"Shutting down non-UP interface $i: " ./ifdown $i boot
+ logger $"Running ifdown on non-UP interface $i"
+ fi
fi
)
done
--
2.19.1

Binary file not shown.

BIN
initscripts-10.19.tar.gz Normal file

Binary file not shown.

View File

@ -19,10 +19,10 @@ Requires: gawk \
Name: initscripts
Summary: Basic support for legacy System V init scripts
Version: 10.17
Version: 10.19
Release: 1
License: GPLv2
License: GPL-2.0-only
URL: https://github.com/fedora-sysv/initscripts
Source: https://github.com/fedora-sysv/initscripts/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
@ -81,17 +81,16 @@ Obsoletes: %{name} < 9.82-2
# Patches to be removed -- deprecated functionality which shall be removed at
# --------------------- some point in the future:
Patch0: backport-run-ifdown-on-all-interfaces.patch
Patch9000: bugfix-initscripts-add-udev-wait-dependency-for-network.patch
Patch9001: bugfix-mod-network-function-when-NM-unmanage-devices.patch
Patch9002: bugfix-initscripts-set-PERSISTENT_DHCLIENT-default-to-yes.patch
Patch9003: bugfix-network-need-chkconfig-on.patch
Patch9004: bugfix-restart-network-warning.patch
Patch9005: new-network-fork-to-start-dhcp.patch
Patch9006: exec-udevadm-settle-when-network-start.patch
Patch9007: remove-rename_device_lock-when-process-does-not-exis.patch
Patch9004: new-network-fork-to-start-dhcp.patch
Patch9005: exec-udevadm-settle-when-network-start.patch
Patch9006: remove-rename_device_lock-when-process-does-not-exis.patch
Patch9007: support-specify-cc.patch
%description
This package provides basic support for legacy System V init scripts, and some
@ -123,7 +122,6 @@ Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: bc
Requires: dbus
Requires: dbus-tools
Requires: gawk
Requires: grep
Requires: hostname
@ -388,6 +386,37 @@ fi
# =============================================================================
%changelog
* Thu Feb 1 2024 liubo <liubo335@huawei.com> - 10.19-1
- Type: requirement
- ID: NA
- SUG: NA
- DESC: update to version 10.19
* Thu Jun 15 gaoxingwang <gaoxingwang1@huawei.com> - 10.17-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:remove unnecessary patches because the first introduced problem doesn't make much sense to fix
* Fri Apr 14 2023 jammyjellyfish <jammyjellyfish255@outlook.com> - 10.17-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Support specify CC
* Mon Feb 20 2023 gaihuiying <eaglegai@163.com> - 10.17-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:delete Requires:dbus-tools
* Mon Nov 07 2022 zhangqiang <zhangqiang@kylinos.cn> - 10.17-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Incorrect processing of empty files for resolv.conf
* Fri Oct 14 2022 gaihuiying <eaglegai@163.com> - 10.17-1
- Type:requirement
- ID:NA

15
support-specify-cc.patch Normal file
View File

@ -0,0 +1,15 @@
From: jammyjellyfish <jammyjellyfish255@outlook.com>
Date: Mon Apr 17 01:49:49 PM CST 2023
Subject: Support specify CC
diff -up initscripts-10.17/src/Makefile.orig2 initscripts-10.17/src/Makefile
--- initscripts-10.17/src/Makefile.orig2 2023-04-14 22:39:35.308829467 +0800
+++ initscripts-10.17/src/Makefile 2023-04-14 22:39:49.296867265 +0800
@@ -17,7 +17,7 @@ bindir = $(prefix)/bin
sbindir = $(prefix)/sbin
libdir = $(prefix)/lib
-CC = gcc
+CC ?= gcc
CFLAGS += $(RPM_OPT_FLAGS) -Wall -D_GNU_SOURCE -fPIE
LDFLAGS += $(RPM_LD_FLAGS) -pie -z relro -z now